﻿using Syncfusion.XForms.ComboBox;
using Syncfusion.XForms.DataForm;
using Syncfusion.XForms.DataForm.Editors;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using Xamarin.Forms;

namespace DataForm_Forms
{
    public class DataFormBehavior : Behavior<ContentPage>
    {
        SfDataForm dataForm;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            dataForm = bindable.FindByName<SfDataForm>("dfData00");
            ObservableCollection<DataFormItemBase> items = new ObservableCollection<DataFormItemBase>();
            items.Add(new DataFormTextItem() { Name = "FirstName", Editor = "Text" });
            items.Add(new DataFormTextItem() { Name = "LastName", Editor = "Text" });
            items.Add(new DataFormTextItem() { Name = "Comment", Editor = "MultilineText" });
            items.Add(new DataFormDropDownItem() { Name = "City", Editor = "DropDown", ItemsSource = this.GetItemSource("City"), DisplayMemberPath = "City", SelectedValuePath = "PostalCode" });
            dataForm.Items = items;
        }

        private IList GetItemSource(string sourceName)
        {
            List<Address> details = new List<Address>();
            if (sourceName == "City")
            {
                details.Add(new Address() { City = "Chennai", PostalCode = 1 });
                details.Add(new Address() { City = "Paris", PostalCode = 2 });
                details.Add(new Address() { City = "Vatican", PostalCode = 3 });
            }

            return details;
        }
    }
}
